Get all configuration parameters

Open in Claude
Get all sensor configuration parameters

Query parameters

sourceenumOptionalDefaults to active
Specifies which configuration source to return: * `active` (default): Returns the currently running configuration * `staged`: Returns the staged configuration (not yet active) * `default`: Returns the factory default configuration values * `persisted`: Returns the configuration read from non-volatile memory
Allowed values:

Response

List of sensor parameters
accel_fsrenum
Refers to the Full Scale Range of the accelerometer
azimuth_windowlist of integersDefaults to [0,360000]

Set the visible region of interest of the sensor in millidegrees. Only data from within the specified azimuth window bounds is sent. The value should be provisioned as: [min_bound_millideg, max_bound_millideg]

bloom_reduction_optimizationenumDefaults to BALANCED
Configure the bloom reduction algorithm's optimization level. This parameter controls the tradeoff between false positives and false negatives in bloom reduction.
columns_per_packetintegerDefaults to 16

Determines the columns per packet, this parameter is read-only.

gyro_fsrenum
Refers to the Full Scale Range of the gyro
imu_packets_per_frameenumDefaults to 8
IMU packets per frame
imu_rate_hzenumDefaults to 2560
Configured IMU sample rate in hertz
lidar_frame_azimuth_offsetinteger0-359999Defaults to 0

Set the rotational offset of the lidar coordinate frame in millidegrees. This parameter allows for angular alignment shifts of the entire lidar coordinate frame, including the starting angle of the first column. As an example, setting lidar_frame_azimuth_offset to 90000 will result in a 90° counter-clockwise rotation of the lidar coordinate frame about the shared Y axis of the stationary sensor coordinate frame. This results in the measurement frame starting at sensor coordinate frame azimuth 270°. All other lidar coordinate frame parameters (such as azimuth_window and phase_lock_offset) are applied relative to this offset.

lidar_modeenumDefaults to 1024x10

The horizontal resolution and rotation rate of the sensor. The effective range of the sensor is increased by 15-20% for every halving of the number of points gathered e.g. 512x10 has 15-20% longer range than 512x20.

min_range_threshold_cmenumDefaults to 50

Set 0, 30, or 50 centimeters to change the sensor’s minimum reported range. Points below the configured minimum range will not be reported. In Short Range mode, only 30 or 50 are permitted.

Note: When min_range_threshold_cm is set to 30 or less, Ouster recommends setting return_order to FARTHEST_TO_NEAREST.

multipurpose_io_modeenumDefaults to OFF

Configure the mode of the MULTIPURPOSE_IO pin. Refer to the Time Synchronization section in the Firmware user manual for a detailed description of each option.

nmea_baud_rateenumDefaults to BAUD_9600

Set the expected baud rate for NMEA UART input \$GPRMC messages.

nmea_ignore_valid_charinteger0-1Defaults to 0
  • 0 - NMEA UART input \$GPRMC messages should be ignored if valid character is not set

  • 1 - messages should be used for time syncing regardless of the valid character.

nmea_in_polarityenum

Set the polarity of NMEA UART input \$GPRMC messages. See Time Synchronization section in sensor user manual for NMEA use case.

  • ACTIVE_HIGH - UART is active high, idle low, and start bit is after a falling edge
nmea_leap_secondsinteger>=0Defaults to 0

Set an integer number of leap seconds that will be added to the UDP timestamp when calculating seconds since 00:00:00 Thursday, 1 January 1970. For Unix Epoch time, this should be set to 0.

operating_modeenumDefaults to NORMAL
  • NORMAL - put the sensor into a normal operating mode

  • STANDBY - put the sensor into a low power (5W) operating mode where the motor does not spin and lasers do not fire.

phase_lock_enablebooleanDefaults to false
Set whether phase locking is enabled. See Firmware User Manual for more details on using phase lock.
phase_lock_offsetinteger0-360000Defaults to 0
Set the angle in the lidar coordinate frame that sensors are locked to in millidegrees if phase locking is enabled. Angle is traversed at the top of the second.
return_orderenumDefaults to STRONGEST_TO_WEAKEST

This parameter configures how the lidar returns are ordered. The return order can be set by the user . This parameter applies regardless of the configured udp_profile_lidar and can be used to configure the only reported return in single return UDP profiles.

Note: When min_range_threshold_cm is set to 30 or less, Ouster recommends setting return_order to FARTHEST_TO_NEAREST.

signal_multiplierenumDefaults to 1

The config parameter signal_multiplier <1/2/3> sets the signal multiplier value.

For 2x and 3x multipliers, the azimuth_window [int, int] parameter sets the azimuth window that the lasers will be enabled in.

The higher the signal multiplier value, the smaller the maximum azimuth window can be.

Signal Multiplier ValueMax Azimuth Window
1 (Default)360°
2180°
3120°

All sensors have equivalent power draw and thermal output when operating at the max azimuth window for a particular signal multiplier value. Therefore, using an azimuth window that is smaller than the maximum allowable azimuth window with a particular signal multiplier value (excluding 1x) can reduce the power draw and thermal output of the sensor.

However, while this can increase the max operating temp of the sensor, it can also degrade the performance at low temps. This discrepancy will be resolved in a future firmware.

sync_pulse_in_polarityenum

Set the polarity of SYNC_PULSE_IN input, which controls polarity of SYNC_PULSE_IN pin when timestamp_mode is set in TIME_FROM_SYNC_PULSE_IN.

sync_pulse_out_angleinteger0-360Defaults to 360

The angle in terms of degrees that the sensor traverses between each SYNC_PULSE_OUT pulse. E.g. a value of 180 means a sync pulse is sent out every 180° for a total of two pulses per revolution and angular frequency of 20 Hz if the sensor is 1024x10 Hz lidar mode. Valid inputs are integers between 0 and 360 inclusive but also limited by the criteria described in the Time Synchronization section of Firmware User Manual.

sync_pulse_out_frequencyinteger>=1Defaults to 1

The output SYNC_PULSE_OUT pulse rate in Hz. Valid inputs are integers >0 Hz, but also limited by the criteria described in the Time Synchronization section of the Firmware User Manual.

sync_pulse_out_polarityenum

Set the polarity of polarity of SYNC_PULSE_OUT output, if the sensor is set as the master sensor used for time synchronization.

sync_pulse_out_pulse_widthinteger>=1Defaults to 10

Set output SYNC_PULSE_OUT pulse width in ms, in 1 ms increments. Valid inputs are integers greater than 0 ms, but also limited by the criteria described in the Time Synchronization section of Software User Manual.

timestamp_modeenumDefaults to TIME_FROM_INTERNAL_OSC
Set the timestamp mode of the sensor. See Time Synchronization section in sensor user manual for details on each mode.
udp_deststringDefaults to 192.0.2.133

UDP destination address for lidar and IMU data. Can be a hostname or IP address. Use @auto to automatically set to the client’s IP address.

udp_port_imuinteger0-65535Defaults to 7503
UDP destination port for IMU data.
udp_port_lidarinteger0-65535Defaults to 7502
UDP destination port for lidar data.
udp_multicast_ttlinteger1-255Defaults to 1

Multicast TTL (Time To Live) for lidar and IMU UDP packets. Valid range is 1-255.

udp_dest_zmstringDefaults to

UDP destination address for Zone Monitor data. Can be a hostname or IP address. Use @auto to automatically set to the client’s IP address.

udp_port_zminteger0-65535Defaults to 0
UDP destination port for Zone Monitor data.
udp_multicast_ttl_zmany

Multicast TTL (Time To Live) for Zone Monitor UDP packets. Valid range is 1-255. type: integer minimum: 1 maximum: 255 default: 1 header_type: description: The configured UDP packet header type $ref:

udp_profile_imuenumDefaults to ACCEL32_GYRO32_NMEA
The configured UDP profile for IMU
udp_profile_lidarenumDefaults to RNG19_RFL8_SIG16_NIR16
Configure the lidar data profile